Skip to main content
PUT
Update a Transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

modified-by
string | null

An optional identifier for audit logging.

Path Parameters

transaction_id
string
required

The Transaction ID.

source_account_id
string
required

The Source Account ID.

Body

application/json
description
string | null

An arbitrary string on the object, useful for displaying information to the user. Descriptions over 512 characters will be truncated.

Maximum string length: 512
metadata
Metadata · object | null

Arbitrary structured information about the transaction. This could be location of the transaction to display to the user or vendor information to use as part of a Platform or Instance categorization rule. Teal does not use metadata for any accounting purposes.

review_status
enum<string> | null

Indicates if the transaction has been reviewed. See the reviewing transactions for steps on how to use this.

Available options:
unreviewed,
reviewed
Example:

"reviewed"

tag_ids
string[] | null

An array of IDs of the Tag objects associated with the Transaction.

Tags are transitive — the tags on a Transaction are applied to its corresponding Line Entry or Line Entries.

Response

Successful Response